﻿<?php
/**
 * @package jwclient component for Joomla! 1.7
 * @version 1.2: controller.php 2011-07-31
 * @author jw-extentions.net
 * @copyright (C) 2010- jw-extentions.net
 * @license GNU/GPL
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.controller' );
 //error_reporting(0);
//ini_set('display_errors', false);

class jwclientController extends JController
{
	function __construct( $default = array() )
	{
		parent::__construct( $default );
	}
	
	function mail()
	{
			$option=com_jwclient;$mainframe= &JFactory::getApplication();
			$limit = JRequest::getVar('limit', $mainframe->getCfg('list_limit'));
			$limitstart = JRequest::getVar('limitstart', 0);
			$db =& JFactory::getDBO();
			$query = "SELECT count(*) FROM #__jwclient_mail";
			$db->setQuery( $query );
			$total = $db->loadResult();
			$query = "select * from #__jwclient_mail order by id desc";
			$db->setQuery( $query, $limitstart, $limit );
			$rows = $db->loadObjectList();
			if ($db->getErrorNum()) {
				//$this->setRedirect( 'index.php?option=' .$option .'&task='.$db->getErrorMsg());
				echo $db->getErrorMsg();
				return false;
			}
			jimport('joomla.html.pagination');
			$pageNav = new JPagination($total, $limitstart, $limit);
			HTML_jwclient::mail($option,$rows,$pageNav);
	
	
	}
	function viewmail()
	{
		$option='com_jwclient';
		$row= &JTable::getInstance('mail','Table');
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		if($cid)
		{
			$id = $cid[0];
		}
		$row->load($id);
		if ($row->id)
		{
			$db =& JFactory::getDBO();
			$query = "select * from #__jwclient_reply where mailid =".$row->id." order by id desc";
			$db->setQuery( $query, $limitstart, $limit );
			$rows = $db->loadObject();
			if ($db->getErrorNum()) {
				//$this->setRedirect( 'index.php?option=' .$option .'&task='.$db->getErrorMsg());
				echo $db->getErrorMsg();
				return false;
			}
		}
		HTML_jwclient::viewmail($row,$rows,$option);
	}
	
	
	function removemail()
  {
		$option='com_jwclient';
		$cid = JRequest::getVar( 'cid', array(), '', 'array' );
		$db =& JFactory::getDBO(); 
	    if(count($cid))
		{
		  $cids = implode( ',', $cid );
		  $query = "DELETE FROM #__jwclient_mail WHERE id IN ( $cids )";
		  //$db->( $query );
		  $db->setQuery( $query );
		  if (!$db->query()) {
			$this->setRedirect( 'index.php?option=com_jwclient&task=mail',$db->getErrorMsg() );
			return;
		  }
		}
		$this->setRedirect( 'index.php?option=' .$option .'&task=mail');
  }
	
	
	 function savereply()
	{
  
		$option='com_jwclient';
		//echo 'ab';
		$row =& JTable::getInstance('reply', 'Table');
		$email = JRequest::getVar('email','');
		
		if (!$row->bind(JRequest::get('post'))) 
		{
			 $link = 'index.php?option=' . $option. '&task=message';
			$msg=$row->getError();
			$this->setRedirect($link, $msg);
			return;
		}
		$user= JFactory::getUser();
		$row->username=$user->username;
		$now = date("Y-m-d H:i:s");
		$row->date=$now; 
		$row->message = JRequest::getVar( 'message', '', 'post',  
                                        'string', JREQUEST_ALLOWRAW );
		if (!$row->store()) {
		  	$link = 'index.php?option=' . $option. '&task=mail';
			$msg=$row->getError();
			$this->setRedirect($link, $msg);
			return;
		}
		$msg = $this->SendAMail( $email, $row->subject, $row->message);
		//echo '$row->subject'.$row->subject
		$link = 'index.php?option=' . $option. '&task=mail';
		//echo $row->id;
		$this->setRedirect($link, $msg);
	}
	function SendAMail( $email, $subject, $message)
	{
		$db		=& JFactory::getDBO();
		$mainframe= &JFactory::getApplication();
		
		$sitename 		= $mainframe->getCfg('sitename');
		$mailto 		= $email;
		$mailfrom 		= $mainframe->getCfg('mailfrom');
		$fromname		=  $mainframe->getCfg('sitename');;
		$message = html_entity_decode($message, ENT_QUOTES);
	
		$subject = html_entity_decode($subject, ENT_QUOTES);
	
		if( JUtility::sendMail($mailfrom, $fromname, $mailto, $subject, $message,1))
			return $email.'<h3>Thư của bạn đã được gửi đi!</h3>';
		else
			return '<h3>Đã có lỗi trong quá trình gửi thư!</h3>';
		
		

		
	}
}
?>