<?php
/**
 * @package jwclient component for Joomla! 1.7
 * @version 1.2: controller.php 2011-07-31
 * @author jw-extentions.net
 * @copyright (C) 2010- jw-extentions.net
 * @license GNU/GPL
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.controller' );
jimport( 'joomla.methods' );
jimport('joomla.application.helper');

class jwclientController extends JController
{
	function display()
	{
		$document =& JFactory::getDocument();
		$viewName = JRequest::getVar('view', 'contact');
		$mainframe = &JFactory::getApplication();
		
		$viewType = $document->getType();
		$view = &$this->getView($viewName, $viewType);
		$view->setLayout('default');
		$view->display();
		
	}
	
function sendmail()
{
	$row = JTable::getInstance('mail','Table');
	if( !$row->bind(JRequest::get('post')))
	{
		echo "Can not save data to send mail!";
		return;
	}
	if( $row->email == "")
	{
		echo "Please insert email!";
		return;
	
	}
	$row->message = JRequest::getVar( 'message', '', 'post',  
                                        'string', JREQUEST_ALLOWRAW );
	$row->date =  date("Y-m-d H:i:s");
	if (!$row->store())
	{
		echo "Can not save data";
		return;
	}
	$this->SendAMail($row->email,$row->subject,$row->message);
}

function SendAMail( $email, $subject, $message)
	{
		$db		=& JFactory::getDBO();
		$mainframe= &JFactory::getApplication();
		
		$sitename 		= $mainframe->getCfg('sitename');
		$mailto 		= $mainframe->getCfg('mailfrom');
		$mailfrom 		= $email;
		$fromname		= $email;
		$message = html_entity_decode($message, ENT_QUOTES);
		$subject = html_entity_decode($message, ENT_QUOTES);
		if( JUtility::sendMail($mailfrom, $fromname, $mailto, $subject, $message,1))
			$mainframe->redirect('index.php', '<h3>'.JText::_('Your message has been sent').'!</h3>');
		else
			$mainframe->redirect('index.php', '<h3>'.JText::_('There is an error during sending email').'!</h3>');
		
		

		
	}


}



